Issue 69196

Summary: Insert Row does not work when editing Table
Product: Base Reporter: koosjr <koos_uys>
Component: codeAssignee: AOO issues mailing list <issues>
Status: UNCONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, lapsap7+ooo
Version: OOo 2.0.3Keywords: needmoreinfo, oooqa
Target Milestone: ---   
Hardware: All   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description koosjr 2006-09-02 13:35:25 UTC
When I try to insert a row when editing a table, the row is not inserted above 
where the cursor is positioned. The cursor jumps to the first empty line at 
the bottom of the rows. 
 
However, the insert function does work correctly for any table created, but 
only before the table is saved. After the table is saved for the first time, 
the insert function does not work any more for that table.
Comment 1 christoph.lukasiak 2006-09-04 10:59:13 UTC
clu->koosjr: i cannot follow your description - may you write a more precise and
repro step by step description - do you use the internal database (hsql) or
anything else? do you edit the table structure in the table design mode or do
you edit values in table insert mode?

read bevore: http://qa.openoffice.org/issue_handling/basic_rules.html
http://qa.openoffice.org/issue_handling/bug_writing_guidelines.html

thx
Comment 2 christoph.lukasiak 2006-09-04 11:28:40 UTC
as i got a private mail from sender, i add his further description to this issue

1. Go to Tables
2. Press "Create Table in Design View"
3. Create a couple of fields.
4. Right click between any two fields and pres "Insert row". It should work.
5. Save the Table.
6. Try to insert a row again - it will not work.
Comment 3 christoph.lukasiak 2006-09-04 11:32:53 UTC
=> after saving the tablestructure, the inserted row is attached and not
inserted between the rows
Comment 4 christoph.lukasiak 2006-09-04 11:34:36 UTC
this is no bug, but a feature enhancement => send further to the requirements team
Comment 5 ace_dent 2008-05-15 13:21:50 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may have already been addressed. Either use the recent stable
version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be closed or progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further :
http://www.openoffice.org/issues/query.cgi
 
Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 6 Rob Weir 2013-02-02 02:58:18 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please provide feedback as requested and re-test with the the latest version of OpenOffice - the problem(s) may already be addressed. 

You can download Apache OpenOffice 3.4.1 from http://www.openoffice.org/download

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.
Comment 7 lapsap7+ooo 2013-10-16 14:58:25 UTC
I'm using Apache OpenOffice 4.0.1 and I can confirm this problem as reported by original poster. What information other than those from comment 2 are needed?  I can provide if needed.